Update contact

Update contact. See the OpenAPI-defined parameters, request body, and responses below.

PUT /Contact/{id}

Update contact. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint atualiza os dados de um contato existente identificado pelo id.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: ContactDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
firstNamestringNo—nullable
lastNamestringNo—nullable
fullNamestringNo—nullable
linkedInUrlstringNo—nullable
titlestringNo—nullable
companyNamestringNo—nullable
accountIdinteger · int32No——
preferredUserIdinteger · int32No——
enabledbooleanNo——
externalIdstringNo—nullable
primaryEmailstringNo—nullable
primaryPhonestringNo—nullable

Example request

curl --request PUT \
  --url 'https://api.zild.ai/Contact/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "firstName": "string",
  "lastName": "string",
  "fullName": "string",
  "linkedInUrl": "string",
  "title": "string",
  "companyName": "string",
  "accountId": 0,
  "preferredUserId": 0,
  "enabled": true,
  "externalId": "string",
  "primaryEmail": "string",
  "primaryPhone": "string"
}'

Responses

StatusDescriptionResponse body
200Contato atualizado com sucessoNo response body is defined.

Data models

ContactDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
firstNamestringNo—nullable
lastNamestringNo—nullable
fullNamestringNo—nullable
linkedInUrlstringNo—nullable
titlestringNo—nullable
companyNamestringNo—nullable
accountIdinteger · int32No——
preferredUserIdinteger · int32No——
enabledbooleanNo——
externalIdstringNo—nullable
primaryEmailstringNo—nullable
primaryPhonestringNo—nullable